package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Date;

/**
 *
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Crtp extends AbstractCommonVo {
    private static Logger log = LoggerFactory.getLogger(Crtp.class);

    //Value Date
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date valdat;


    //USE FOR ARE AMTOUNT (max=1)
    private Usr usr;

    @Override
    public void reset() {
        super.reset();
        if (usr == null) {
            usr = new Usr();
        }
    }
}